Find out which version is used more
Closed, ResolvedPublic

Description

Motivation
TwoColConflict allows you to set a base version for conflict resolution, either yours or the conflicting version. We would like to find out what people usually pick to better understand the mental model behind

Task
To the grafana board, add three number boxes

  1. Counting the number of times people choose their version (overall)
  2. Counting the number of times people choose the conflicting version (overall)
  3. Percentage of 1 and 2
Lea_WMDE created this task.Dec 4 2017, 5:16 PM
Lea_WMDE moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Dec 4 2017, 5:19 PM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptDec 6 2017, 11:45 AM

Change 395722 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/TwoColConflict@master] Track which base is selected

https://gerrit.wikimedia.org/r/395722

Patch will create the data, grafana board will still need an update after deployment.

Change 395722 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Track which base is selected

https://gerrit.wikimedia.org/r/395722

Addshore moved this task from Backlog to Needs Review on the User-Addshore board.Dec 11 2017, 4:06 PM
Addshore removed Addshore as the assignee of this task.Jan 12 2018, 10:16 AM
Addshore added a subscriber: Addshore.

Data will be available in graphite under the metric names:

  • MediaWiki.TwoColConflict.event.baseSelection.your
  • MediaWiki.TwoColConflict.event.baseSelection.current

@Addshore The last row on the TwoColConflict dashboard has new singlestats to encompass these two indicators.

However, the queries:

summarize(MediaWiki.TwoColConflict.event.baseSelection.your, '1d', 'sum', false)

and

summarize(MediaWiki.TwoColConflict.event.baseSelection.current, '1d', 'sum', false)

both return N/A.

@Addshore Following what you did with the singlestats in the top rows of the dashboard, I've tried with:

MediaWiki.TwoColConflict.event.baseSelection.your

and

MediaWiki.TwoColConflict.event.baseSelection.current

only as queries for the new singlestats for this task. No change: both result in N/A values being shown.

@GoranSMilovanovic using the metric name suggestion (rather than entering a plain string) can help you here.

The metric come through statsd and have a collection of suffixes.
*.sum is what you want.

This is the sum of the counters in the given bucket in statsd.

@Lea_WMDE This is resolved in the current update of the TwoColConflict Grafana dashboard by @Addshore.

Shall we close this?

Sounds good to me!

Lea_WMDE closed this task as Resolved.Feb 9 2018, 10:01 AM